<template>
    <v-app>
        <v-app-bar class="void" app>
        <div class="d-flex align-center">
            <v-img
            alt="Vuetify Logo"
            class="shrink mr-2"
            contain
            src="https://cdn.vuetifyjs.com/images/logos/vuetify-logo-dark.png"
            transition="scale-transition"
            width="40"
            />

            <h2 class="stark-font">Coming soon</h2>
        </div>
        </v-app-bar>

        <v-main class="stark">
            <div class="logo" :id="banish ? 'banishAnimation' : ''">
                <b>Wel<span>come </span>To <span>My </span>Portfo<span>lio</span> </b>
                <br />
                <b>
                    Please<span> Wait </span>While <span>Everything </span>is
                    <span>Loa</span>ding
                </b>
            </div>
            <router-view></router-view>
        </v-main>
    </v-app>
</template>

<script>
export default {
  // future style respnsive for mobiel font: 300 4.4vh "Bungee";
  // future style responsive for mobile font: 300 5.1vh "Bungee";
    name: "Nportfolio",
    components: {},
    data() {
        return {
            timeout : 0,
            banish : false
        }
    },
    mounted () {
        this.hideNeons();
    },
    methods: {
        hideNeons() {
            console.log('me ejecuto?');
            setTimeout(() => {
                this.banish = true
            const neonText = document.getElementById('banishAnimation');
            neonText.addEventListener('webkitAnimationEnd',function() { neonText.style.display = 'none'; }, false);

                console.log('timeout',);
            }, 5000);
        }
    }
};
</script>


<style>

#banishAnimation {
    -webkit-animation-fill-mode: forwards;
    -webkit-animation:banishMe 3s;
    -webkit-animation-fill-mode: forwards;
}

@-webkit-keyframes banishMe {
    0% { opacity: 1; }
    100% { opacity: 0; display:none; -webkit-animation-play-state: paused;}
}  

main {
    background-image: url("./assets/bg.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}
.void {
    background-color: #0e0b16 !important;
}
.stark {
    background-color: #e7dfdd !important;
}
.stark-font {
    color: #e7dfdd;
}

.fuschia {
    background-color: #a239ca !important;
}
.jewel {
    background-color: #4717f6;
}
.square {
    width: 300px;
    height: 300px;
}

@import url(//fonts.googleapis.com/css?family=Bungee);
html,
body {
    height: 100%;
    margin: 0;
}
.logo {
    text-align: center;
    width: 75%;
    height: 250px;
    margin: auto;
    user-select: none;
}

.logo b {
    font: 300 8vh "Bungee";
    color: rgb(224, 203, 203);
    text-shadow: 0 -40px 100px, 0 0 2px, 0 0 1em #9b00d8, 0 0 0.5em #9b00d8,
        0 0 0.1em #9b00d8, 0 10px 3px #000;
}
.logo b span {
    animation: blink linear infinite 2s;
}
.logo b span:nth-of-type(2) {
    animation: blink linear infinite 3s;
}
@keyframes blink {
    78% {
        color: inherit;
        text-shadow: inherit;
    }
    79% {
        color: #333333;
    }
    80% {
        text-shadow: none;
    }
    81% {
        color: inherit;
        text-shadow: inherit;
    }
    82% {
        color: #333;
        text-shadow: none;
    }
    83% {
        color: inherit;
        text-shadow: inherit;
    }
    92% {
        color: #333;
        text-shadow: none;
    }
    92.5% {
        color: inherit;
        text-shadow: inherit;
    }
}
</style>